# Uses of Interface
org.codehaus.janino.IType

Packages that use IType
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IType in org.codehaus.janino

Subinterfaces of IType in org.codehaus.janino
Modifier and Type
Interface
Description
`interface`
`IParameterizedType`
`interface`
`ITypeVariable`
Type bounds can either be a class or interface type, or a type variable.
`interface`
`ITypeVariableOrIClass`
`interface`
`IWildcardType`
Classes in org.codehaus.janino that implement IType
Modifier and Type
Class
Description
`class`
`ClassFileIClass`
A wrapper object that turns a `ClassFile` object into an `IClass`.
`class`
`IClass`
A simplified equivalent to "java.lang.reflect".
Fields in org.codehaus.janino declared as IType
Modifier and Type
Field
Description
`IType`
Java.NewClassInstance.`iType`
The resolved `Java.NewClassInstance.type`.
`final IType`
Java.SimpleType.`iType`
The `IType` represented by this `Java.Type`.
`final IType`
Java.LocalVariable.`type`
The type of this local variable.
Methods in org.codehaus.janino that return IType
Modifier and Type
Method
Description
`IType[]`
IParameterizedType.`getActualTypeArguments()`
`IType`
IClass.IAnnotation.`getAnnotationType()`
`IType`
IWildcardType.`getLowerBound()`
`IType`
IParameterizedType.`getRawType()`
`IType`
Java.LocalVariableSlot.`getType()`
`IType`
IWildcardType.`getUpperBound()`
Methods in org.codehaus.janino with parameters of type IType
Modifier and Type
Method
Description
`Java.LocalVariableSlot`
CodeContext.`allocateLocalVariable(short size, String name, IType type)`
Allocates space for a local variable of the given size (1 or 2) on the local variable array.
`static IClass`
IClass.`rawTypeOf(IType type)`
Constructors in org.codehaus.janino with parameters of type IType
Modifier
Constructor
Description
``
`LocalVariable(boolean finaL, IType type)`
``
`LocalVariableSlot(String name, short slotNumber, IType type)`
``
`NewClassInstance(Location location, Java.Rvalue qualification, IType iType, Java.Rvalue[] arguments)`
``
`SimpleType(Location location, IType iType)`